openapi: 3.0.3
info:
  title: Laravel
  description: ''
  version: 1.0.0
servers:
  -
    url: 'https://homzen.botble.com'
paths:
  /api/v1/register:
    post:
      summary: Register
      operationId: register
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: false
                  data: null
                  message: 'Registered successfully! We emailed you to verify your account!'
                properties:
                  error:
                    type: boolean
                    example: false
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: 'Registered successfully! We emailed you to verify your account!'
        422:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  message: 'The given data was invalid.'
                  errors:
                    first_name:
                      - 'The first name field is required.'
                    last_name:
                      - 'The last name field is required.'
                    email:
                      - 'The email field is required.'
                    password:
                      - 'The password field is required.'
                properties:
                  message:
                    type: string
                    example: 'The given data was invalid.'
                  errors:
                    type: object
                    properties:
                      first_name:
                        type: array
                        example:
                          - 'The first name field is required.'
                        items:
                          type: string
                      last_name:
                        type: array
                        example:
                          - 'The last name field is required.'
                        items:
                          type: string
                      email:
                        type: array
                        example:
                          - 'The email field is required.'
                        items:
                          type: string
                      password:
                        type: array
                        example:
                          - 'The password field is required.'
                        items:
                          type: string
      tags:
        - Authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                  description: 'The name of the user.'
                  example: quos
                last_name:
                  type: string
                  description: 'The name of the user.'
                  example: qui
                email:
                  type: string
                  description: 'The email of the user.'
                  example: ylemke@example.org
                password:
                  type: string
                  description: 'The password of user to create.'
                  example: 'BKWLQRmz2SW:'
                phone:
                  type: string
                  description: 'The phone of the user.'
                  example: velit
                password_confirmation:
                  type: string
                  description: 'The password confirmation.'
                  example: qui
              required:
                - first_name
                - last_name
                - email
                - password
                - phone
                - password_confirmation
      security: []
  /api/v1/login:
    post:
      summary: Login
      operationId: login
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: false
                  data:
                    token: 1|aF5s7p3xxx1lVL8hkSrPN72m4wPVpTvTs...
                  message: null
                properties:
                  error:
                    type: boolean
                    example: false
                  data:
                    type: object
                    properties:
                      token:
                        type: string
                        example: 1|aF5s7p3xxx1lVL8hkSrPN72m4wPVpTvTs...
                  message:
                    type: string
                    example: null
      tags:
        - Authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: 'Must be a valid email address.'
                  example: 'e.g: abc@example.com'
                password:
                  type: string
                  description: 'The password of user to create.'
                  example: '[tO.voEjo?*rHMRU'
                login:
                  type: string
                  description: 'The email/phone of the user.'
                  example: recusandae
              required:
                - email
                - password
                - login
      security: []
  /api/v1/password/forgot:
    post:
      summary: 'Forgot password'
      operationId: forgotPassword
      description: 'Send a reset link to the given user.'
      parameters: []
      responses: {  }
      tags:
        - Authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: 'The email of the user.'
                  example: gerhard.schiller@example.org
              required:
                - email
      security: []
  /api/v1/resend-verify-account-email:
    post:
      summary: 'Resend email verification'
      operationId: resendEmailVerification
      description: 'Resend the email verification notification.'
      parameters: []
      responses: {  }
      tags:
        - Authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: 'The email of the user.'
                  example: henriette.sanford@example.org
              required:
                - email
      security: []
  /api/v1/logout:
    get:
      summary: Logout
      operationId: logout
      description: ''
      parameters: []
      responses:
        401:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: true
                  data: null
                  message: Unauthenticated.
                properties:
                  error:
                    type: boolean
                    example: true
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: Unauthenticated.
      tags:
        - Authentication
  /api/v1/search:
    get:
      summary: 'Search post'
      operationId: searchPost
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: true
                  data: null
                  message: 'No results found, please try with different keywords.'
                properties:
                  error:
                    type: boolean
                    example: true
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: 'No results found, please try with different keywords.'
      tags:
        - Blog
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                q:
                  type: string
                  description: 'The search keyword.'
                  example: officia
              required:
                - q
      security: []
  /api/v1/posts:
    get:
      summary: 'List posts'
      operationId: listPosts
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 1
                      name: 'Top 10 Tips for First-time Home Buyers'
                      slug: top-10-tips-for-first-time-home-buyers
                      description: "THAT'S a good way off, panting, with its wings. 'Serpent!' screamed the Queen. 'Their heads are gone, if it likes.' 'I'd rather not,' the Cat went on, taking first one side and then the Mock Turtle."
                      image: 'https://homzen.botble.com/storage/posts/8.jpg'
                      categories:
                        -
                          id: 2
                          name: 'Selling a Home'
                          slug: selling-a-home
                          url: 'https://homzen.botble.com/news/selling-a-home'
                          description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                        -
                          id: 3
                          name: 'Market Trends'
                          slug: market-trends
                          url: 'https://homzen.botble.com/news/market-trends'
                          description: 'Unde cum tempora eum quidem ut voluptatum. Unde est qui error praesentium sunt. Et dolores id nostrum possimus.'
                      tags:
                        -
                          id: 2
                          name: Investing
                          slug: investing
                          description: ''
                        -
                          id: 4
                          name: DIY
                          slug: diy
                          description: ''
                        -
                          id: 5
                          name: 'Luxury Homes'
                          slug: luxury-homes
                          description: ''
                      created_at: '2024-06-17T08:58:12.000000Z'
                      updated_at: '2024-06-17T08:58:12.000000Z'
                    -
                      id: 2
                      name: 'How to Stage Your Home for a Quick Sale'
                      slug: how-to-stage-your-home-for-a-quick-sale
                      description: "White Rabbit: it was very glad that it felt quite strange at first; but she was losing her temper. 'Are you content now?' said the Caterpillar sternly. 'Explain yourself!' 'I can't go no lower,'."
                      image: 'https://homzen.botble.com/storage/posts/9.jpg'
                      categories:
                        -
                          id: 2
                          name: 'Selling a Home'
                          slug: selling-a-home
                          url: 'https://homzen.botble.com/news/selling-a-home'
                          description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                        -
                          id: 5
                          name: 'Real Estate Investing'
                          slug: real-estate-investing
                          url: 'https://homzen.botble.com/news/real-estate-investing'
                          description: 'Ut qui blanditiis quis alias id enim. Aperiam nesciunt rem sit vitae corrupti. Placeat doloremque aut et. Cumque quos expedita dolor. Qui ad deserunt consequatur necessitatibus.'
                      tags:
                        -
                          id: 3
                          name: 'Market Analysis'
                          slug: market-analysis
                          description: ''
                        -
                          id: 7
                          name: 'Property Management'
                          slug: property-management
                          description: ''
                        -
                          id: 8
                          name: Renovation
                          slug: renovation
                          description: ''
                      created_at: '2024-06-17T08:58:12.000000Z'
                      updated_at: '2024-06-17T08:58:12.000000Z'
                    -
                      id: 3
                      name: 'Understanding the Current Real Estate Market Trends'
                      slug: understanding-the-current-real-estate-market-trends
                      description: "For this must ever be A secret, kept from all the party sat silent for a dunce? Go on!' 'I'm a poor man, your Majesty,' said Two, in a deep sigh, 'I was a good character, But said I could say if I."
                      image: 'https://homzen.botble.com/storage/posts/3.jpg'
                      categories:
                        -
                          id: 3
                          name: 'Market Trends'
                          slug: market-trends
                          url: 'https://homzen.botble.com/news/market-trends'
                          description: 'Unde cum tempora eum quidem ut voluptatum. Unde est qui error praesentium sunt. Et dolores id nostrum possimus.'
                        -
                          id: 4
                          name: 'Home Improvement'
                          slug: home-improvement
                          url: 'https://homzen.botble.com/news/home-improvement'
                          description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                      tags:
                        -
                          id: 4
                          name: DIY
                          slug: diy
                          description: ''
                        -
                          id: 6
                          name: 'First-time Buyers'
                          slug: first-time-buyers
                          description: ''
                        -
                          id: 8
                          name: Renovation
                          slug: renovation
                          description: ''
                      created_at: '2024-06-17T08:58:12.000000Z'
                      updated_at: '2024-06-17T08:58:12.000000Z'
                    -
                      id: 4
                      name: 'DIY Home Improvement Projects That Add Value'
                      slug: diy-home-improvement-projects-that-add-value
                      description: "VERY much out of the shepherd boy--and the sneeze of the edge of her hedgehog. The hedgehog was engaged in a deep, hollow tone: 'sit down, both of you, and must know better'; and this was the cat.)."
                      image: 'https://homzen.botble.com/storage/posts/8.jpg'
                      categories:
                        -
                          id: 2
                          name: 'Selling a Home'
                          slug: selling-a-home
                          url: 'https://homzen.botble.com/news/selling-a-home'
                          description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                        -
                          id: 5
                          name: 'Real Estate Investing'
                          slug: real-estate-investing
                          url: 'https://homzen.botble.com/news/real-estate-investing'
                          description: 'Ut qui blanditiis quis alias id enim. Aperiam nesciunt rem sit vitae corrupti. Placeat doloremque aut et. Cumque quos expedita dolor. Qui ad deserunt consequatur necessitatibus.'
                      tags:
                        -
                          id: 6
                          name: 'First-time Buyers'
                          slug: first-time-buyers
                          description: ''
                        -
                          id: 8
                          name: Renovation
                          slug: renovation
                          description: ''
                      created_at: '2024-06-17T08:58:12.000000Z'
                      updated_at: '2024-06-17T08:58:12.000000Z'
                    -
                      id: 5
                      name: 'A Beginner’s Guide to Real Estate Investing'
                      slug: a-beginners-guide-to-real-estate-investing
                      description: "No, there were TWO little shrieks, and more sounds of broken glass, from which she found herself lying on the glass table as before, 'and things are \"much of a dance is it?' The Gryphon lifted up."
                      image: 'https://homzen.botble.com/storage/posts/5.jpg'
                      categories:
                        -
                          id: 4
                          name: 'Home Improvement'
                          slug: home-improvement
                          url: 'https://homzen.botble.com/news/home-improvement'
                          description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                        -
                          id: 6
                          name: 'Neighborhood Guides'
                          slug: neighborhood-guides
                          url: 'https://homzen.botble.com/news/neighborhood-guides'
                          description: 'Tenetur nobis minus cumque consectetur et alias. Voluptatum libero quis quia.'
                      tags:
                        -
                          id: 2
                          name: Investing
                          slug: investing
                          description: ''
                        -
                          id: 5
                          name: 'Luxury Homes'
                          slug: luxury-homes
                          description: ''
                      created_at: '2024-06-17T08:58:12.000000Z'
                      updated_at: '2024-06-17T08:58:12.000000Z'
                    -
                      id: 6
                      name: 'How to Choose the Right Neighborhood for Your Family'
                      slug: how-to-choose-the-right-neighborhood-for-your-family
                      description: "BEST butter, you know.' 'Not at all,' said the others. 'Are their heads downward! The Antipathies, I think--' (she was so small as this before, never! And I declare it's too bad, that it might not."
                      image: 'https://homzen.botble.com/storage/posts/6.jpg'
                      categories:
                        -
                          id: 4
                          name: 'Home Improvement'
                          slug: home-improvement
                          url: 'https://homzen.botble.com/news/home-improvement'
                          description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                        -
                          id: 6
                          name: 'Neighborhood Guides'
                          slug: neighborhood-guides
                          url: 'https://homzen.botble.com/news/neighborhood-guides'
                          description: 'Tenetur nobis minus cumque consectetur et alias. Voluptatum libero quis quia.'
                      tags:
                        -
                          id: 1
                          name: Tips
                          slug: tips
                          description: ''
                        -
                          id: 2
                          name: Investing
                          slug: investing
                          description: ''
                        -
                          id: 8
                          name: Renovation
                          slug: renovation
                          description: ''
                      created_at: '2024-06-17T08:58:12.000000Z'
                      updated_at: '2024-06-17T08:58:12.000000Z'
                    -
                      id: 7
                      name: 'Luxury Homes: What to Look For'
                      slug: luxury-homes-what-to-look-for
                      description: "Cheshire Cat sitting on the breeze that followed them, the melancholy words:-- 'Soo--oop of the well, and noticed that they were gardeners, or soldiers, or courtiers, or three of her going, though."
                      image: 'https://homzen.botble.com/storage/posts/6.jpg'
                      categories:
                        -
                          id: 3
                          name: 'Market Trends'
                          slug: market-trends
                          url: 'https://homzen.botble.com/news/market-trends'
                          description: 'Unde cum tempora eum quidem ut voluptatum. Unde est qui error praesentium sunt. Et dolores id nostrum possimus.'
                        -
                          id: 4
                          name: 'Home Improvement'
                          slug: home-improvement
                          url: 'https://homzen.botble.com/news/home-improvement'
                          description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                      tags:
                        -
                          id: 4
                          name: DIY
                          slug: diy
                          description: ''
                        -
                          id: 7
                          name: 'Property Management'
                          slug: property-management
                          description: ''
                        -
                          id: 8
                          name: Renovation
                          slug: renovation
                          description: ''
                      created_at: '2024-06-17T08:58:12.000000Z'
                      updated_at: '2024-06-17T08:58:12.000000Z'
                    -
                      id: 8
                      name: 'Property Management: Best Practices for Landlords'
                      slug: property-management-best-practices-for-landlords
                      description: "Oh dear! I shall fall right THROUGH the earth! How funny it'll seem, sending presents to one's own feet! And how odd the directions will look! ALICE'S RIGHT FOOT, ESQ. HEARTHRUG, NEAR THE FENDER."
                      image: 'https://homzen.botble.com/storage/posts/4.jpg'
                      categories:
                        -
                          id: 1
                          name: 'Buying a Home'
                          slug: buying-a-home
                          url: 'https://homzen.botble.com/news/buying-a-home'
                          description: 'Perspiciatis sed sit esse necessitatibus consequatur. Repudiandae sunt pariatur vitae rem. Sed sed incidunt rerum.'
                        -
                          id: 6
                          name: 'Neighborhood Guides'
                          slug: neighborhood-guides
                          url: 'https://homzen.botble.com/news/neighborhood-guides'
                          description: 'Tenetur nobis minus cumque consectetur et alias. Voluptatum libero quis quia.'
                      tags:
                        -
                          id: 6
                          name: 'First-time Buyers'
                          slug: first-time-buyers
                          description: ''
                        -
                          id: 7
                          name: 'Property Management'
                          slug: property-management
                          description: ''
                        -
                          id: 8
                          name: Renovation
                          slug: renovation
                          description: ''
                      created_at: '2024-06-17T08:58:12.000000Z'
                      updated_at: '2024-06-17T08:58:12.000000Z'
                    -
                      id: 9
                      name: 'Renovation Ideas to Increase Your Home’s Value'
                      slug: renovation-ideas-to-increase-your-homes-value
                      description: "The Antipathies, I think--' (she was obliged to say 'creatures,' you see, Miss, this here ought to eat or drink under the door; so either way I'll get into that lovely garden. I think you'd better."
                      image: 'https://homzen.botble.com/storage/posts/7.jpg'
                      categories:
                        -
                          id: 2
                          name: 'Selling a Home'
                          slug: selling-a-home
                          url: 'https://homzen.botble.com/news/selling-a-home'
                          description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                        -
                          id: 4
                          name: 'Home Improvement'
                          slug: home-improvement
                          url: 'https://homzen.botble.com/news/home-improvement'
                          description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                      tags:
                        -
                          id: 1
                          name: Tips
                          slug: tips
                          description: ''
                        -
                          id: 7
                          name: 'Property Management'
                          slug: property-management
                          description: ''
                      created_at: '2024-06-17T08:58:12.000000Z'
                      updated_at: '2024-06-17T08:58:12.000000Z'
                    -
                      id: 10
                      name: 'The Ultimate Guide to Buying a Vacation Home'
                      slug: the-ultimate-guide-to-buying-a-vacation-home
                      description: "Do cats eat bats, I wonder?' Alice guessed in a sulky tone; 'Seven jogged my elbow.' On which Seven looked up eagerly, half hoping that they would call after her: the last concert!' on which the."
                      image: 'https://homzen.botble.com/storage/posts/3.jpg'
                      categories:
                        -
                          id: 1
                          name: 'Buying a Home'
                          slug: buying-a-home
                          url: 'https://homzen.botble.com/news/buying-a-home'
                          description: 'Perspiciatis sed sit esse necessitatibus consequatur. Repudiandae sunt pariatur vitae rem. Sed sed incidunt rerum.'
                        -
                          id: 2
                          name: 'Selling a Home'
                          slug: selling-a-home
                          url: 'https://homzen.botble.com/news/selling-a-home'
                          description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                      tags:
                        -
                          id: 4
                          name: DIY
                          slug: diy
                          description: ''
                        -
                          id: 7
                          name: 'Property Management'
                          slug: property-management
                          description: ''
                      created_at: '2024-06-17T08:58:12.000000Z'
                      updated_at: '2024-06-17T08:58:12.000000Z'
                  links:
                    first: 'https://homzen.botble.com/api/v1/posts?page=1'
                    last: 'https://homzen.botble.com/api/v1/posts?page=2'
                    prev: null
                    next: 'https://homzen.botble.com/api/v1/posts?page=2'
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 2
                    links:
                      -
                        url: null
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://homzen.botble.com/api/v1/posts?page=1'
                        label: '1'
                        active: true
                      -
                        url: 'https://homzen.botble.com/api/v1/posts?page=2'
                        label: '2'
                        active: false
                      -
                        url: 'https://homzen.botble.com/api/v1/posts?page=2'
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://homzen.botble.com/api/v1/posts'
                    per_page: 10
                    to: 10
                    total: 18
                  error: false
                  message: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 1
                        name: 'Top 10 Tips for First-time Home Buyers'
                        slug: top-10-tips-for-first-time-home-buyers
                        description: "THAT'S a good way off, panting, with its wings. 'Serpent!' screamed the Queen. 'Their heads are gone, if it likes.' 'I'd rather not,' the Cat went on, taking first one side and then the Mock Turtle."
                        image: 'https://homzen.botble.com/storage/posts/8.jpg'
                        categories:
                          -
                            id: 2
                            name: 'Selling a Home'
                            slug: selling-a-home
                            url: 'https://homzen.botble.com/news/selling-a-home'
                            description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                          -
                            id: 3
                            name: 'Market Trends'
                            slug: market-trends
                            url: 'https://homzen.botble.com/news/market-trends'
                            description: 'Unde cum tempora eum quidem ut voluptatum. Unde est qui error praesentium sunt. Et dolores id nostrum possimus.'
                        tags:
                          -
                            id: 2
                            name: Investing
                            slug: investing
                            description: ''
                          -
                            id: 4
                            name: DIY
                            slug: diy
                            description: ''
                          -
                            id: 5
                            name: 'Luxury Homes'
                            slug: luxury-homes
                            description: ''
                        created_at: '2024-06-17T08:58:12.000000Z'
                        updated_at: '2024-06-17T08:58:12.000000Z'
                      -
                        id: 2
                        name: 'How to Stage Your Home for a Quick Sale'
                        slug: how-to-stage-your-home-for-a-quick-sale
                        description: "White Rabbit: it was very glad that it felt quite strange at first; but she was losing her temper. 'Are you content now?' said the Caterpillar sternly. 'Explain yourself!' 'I can't go no lower,'."
                        image: 'https://homzen.botble.com/storage/posts/9.jpg'
                        categories:
                          -
                            id: 2
                            name: 'Selling a Home'
                            slug: selling-a-home
                            url: 'https://homzen.botble.com/news/selling-a-home'
                            description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                          -
                            id: 5
                            name: 'Real Estate Investing'
                            slug: real-estate-investing
                            url: 'https://homzen.botble.com/news/real-estate-investing'
                            description: 'Ut qui blanditiis quis alias id enim. Aperiam nesciunt rem sit vitae corrupti. Placeat doloremque aut et. Cumque quos expedita dolor. Qui ad deserunt consequatur necessitatibus.'
                        tags:
                          -
                            id: 3
                            name: 'Market Analysis'
                            slug: market-analysis
                            description: ''
                          -
                            id: 7
                            name: 'Property Management'
                            slug: property-management
                            description: ''
                          -
                            id: 8
                            name: Renovation
                            slug: renovation
                            description: ''
                        created_at: '2024-06-17T08:58:12.000000Z'
                        updated_at: '2024-06-17T08:58:12.000000Z'
                      -
                        id: 3
                        name: 'Understanding the Current Real Estate Market Trends'
                        slug: understanding-the-current-real-estate-market-trends
                        description: "For this must ever be A secret, kept from all the party sat silent for a dunce? Go on!' 'I'm a poor man, your Majesty,' said Two, in a deep sigh, 'I was a good character, But said I could say if I."
                        image: 'https://homzen.botble.com/storage/posts/3.jpg'
                        categories:
                          -
                            id: 3
                            name: 'Market Trends'
                            slug: market-trends
                            url: 'https://homzen.botble.com/news/market-trends'
                            description: 'Unde cum tempora eum quidem ut voluptatum. Unde est qui error praesentium sunt. Et dolores id nostrum possimus.'
                          -
                            id: 4
                            name: 'Home Improvement'
                            slug: home-improvement
                            url: 'https://homzen.botble.com/news/home-improvement'
                            description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                        tags:
                          -
                            id: 4
                            name: DIY
                            slug: diy
                            description: ''
                          -
                            id: 6
                            name: 'First-time Buyers'
                            slug: first-time-buyers
                            description: ''
                          -
                            id: 8
                            name: Renovation
                            slug: renovation
                            description: ''
                        created_at: '2024-06-17T08:58:12.000000Z'
                        updated_at: '2024-06-17T08:58:12.000000Z'
                      -
                        id: 4
                        name: 'DIY Home Improvement Projects That Add Value'
                        slug: diy-home-improvement-projects-that-add-value
                        description: "VERY much out of the shepherd boy--and the sneeze of the edge of her hedgehog. The hedgehog was engaged in a deep, hollow tone: 'sit down, both of you, and must know better'; and this was the cat.)."
                        image: 'https://homzen.botble.com/storage/posts/8.jpg'
                        categories:
                          -
                            id: 2
                            name: 'Selling a Home'
                            slug: selling-a-home
                            url: 'https://homzen.botble.com/news/selling-a-home'
                            description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                          -
                            id: 5
                            name: 'Real Estate Investing'
                            slug: real-estate-investing
                            url: 'https://homzen.botble.com/news/real-estate-investing'
                            description: 'Ut qui blanditiis quis alias id enim. Aperiam nesciunt rem sit vitae corrupti. Placeat doloremque aut et. Cumque quos expedita dolor. Qui ad deserunt consequatur necessitatibus.'
                        tags:
                          -
                            id: 6
                            name: 'First-time Buyers'
                            slug: first-time-buyers
                            description: ''
                          -
                            id: 8
                            name: Renovation
                            slug: renovation
                            description: ''
                        created_at: '2024-06-17T08:58:12.000000Z'
                        updated_at: '2024-06-17T08:58:12.000000Z'
                      -
                        id: 5
                        name: 'A Beginner’s Guide to Real Estate Investing'
                        slug: a-beginners-guide-to-real-estate-investing
                        description: "No, there were TWO little shrieks, and more sounds of broken glass, from which she found herself lying on the glass table as before, 'and things are \"much of a dance is it?' The Gryphon lifted up."
                        image: 'https://homzen.botble.com/storage/posts/5.jpg'
                        categories:
                          -
                            id: 4
                            name: 'Home Improvement'
                            slug: home-improvement
                            url: 'https://homzen.botble.com/news/home-improvement'
                            description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                          -
                            id: 6
                            name: 'Neighborhood Guides'
                            slug: neighborhood-guides
                            url: 'https://homzen.botble.com/news/neighborhood-guides'
                            description: 'Tenetur nobis minus cumque consectetur et alias. Voluptatum libero quis quia.'
                        tags:
                          -
                            id: 2
                            name: Investing
                            slug: investing
                            description: ''
                          -
                            id: 5
                            name: 'Luxury Homes'
                            slug: luxury-homes
                            description: ''
                        created_at: '2024-06-17T08:58:12.000000Z'
                        updated_at: '2024-06-17T08:58:12.000000Z'
                      -
                        id: 6
                        name: 'How to Choose the Right Neighborhood for Your Family'
                        slug: how-to-choose-the-right-neighborhood-for-your-family
                        description: "BEST butter, you know.' 'Not at all,' said the others. 'Are their heads downward! The Antipathies, I think--' (she was so small as this before, never! And I declare it's too bad, that it might not."
                        image: 'https://homzen.botble.com/storage/posts/6.jpg'
                        categories:
                          -
                            id: 4
                            name: 'Home Improvement'
                            slug: home-improvement
                            url: 'https://homzen.botble.com/news/home-improvement'
                            description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                          -
                            id: 6
                            name: 'Neighborhood Guides'
                            slug: neighborhood-guides
                            url: 'https://homzen.botble.com/news/neighborhood-guides'
                            description: 'Tenetur nobis minus cumque consectetur et alias. Voluptatum libero quis quia.'
                        tags:
                          -
                            id: 1
                            name: Tips
                            slug: tips
                            description: ''
                          -
                            id: 2
                            name: Investing
                            slug: investing
                            description: ''
                          -
                            id: 8
                            name: Renovation
                            slug: renovation
                            description: ''
                        created_at: '2024-06-17T08:58:12.000000Z'
                        updated_at: '2024-06-17T08:58:12.000000Z'
                      -
                        id: 7
                        name: 'Luxury Homes: What to Look For'
                        slug: luxury-homes-what-to-look-for
                        description: "Cheshire Cat sitting on the breeze that followed them, the melancholy words:-- 'Soo--oop of the well, and noticed that they were gardeners, or soldiers, or courtiers, or three of her going, though."
                        image: 'https://homzen.botble.com/storage/posts/6.jpg'
                        categories:
                          -
                            id: 3
                            name: 'Market Trends'
                            slug: market-trends
                            url: 'https://homzen.botble.com/news/market-trends'
                            description: 'Unde cum tempora eum quidem ut voluptatum. Unde est qui error praesentium sunt. Et dolores id nostrum possimus.'
                          -
                            id: 4
                            name: 'Home Improvement'
                            slug: home-improvement
                            url: 'https://homzen.botble.com/news/home-improvement'
                            description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                        tags:
                          -
                            id: 4
                            name: DIY
                            slug: diy
                            description: ''
                          -
                            id: 7
                            name: 'Property Management'
                            slug: property-management
                            description: ''
                          -
                            id: 8
                            name: Renovation
                            slug: renovation
                            description: ''
                        created_at: '2024-06-17T08:58:12.000000Z'
                        updated_at: '2024-06-17T08:58:12.000000Z'
                      -
                        id: 8
                        name: 'Property Management: Best Practices for Landlords'
                        slug: property-management-best-practices-for-landlords
                        description: "Oh dear! I shall fall right THROUGH the earth! How funny it'll seem, sending presents to one's own feet! And how odd the directions will look! ALICE'S RIGHT FOOT, ESQ. HEARTHRUG, NEAR THE FENDER."
                        image: 'https://homzen.botble.com/storage/posts/4.jpg'
                        categories:
                          -
                            id: 1
                            name: 'Buying a Home'
                            slug: buying-a-home
                            url: 'https://homzen.botble.com/news/buying-a-home'
                            description: 'Perspiciatis sed sit esse necessitatibus consequatur. Repudiandae sunt pariatur vitae rem. Sed sed incidunt rerum.'
                          -
                            id: 6
                            name: 'Neighborhood Guides'
                            slug: neighborhood-guides
                            url: 'https://homzen.botble.com/news/neighborhood-guides'
                            description: 'Tenetur nobis minus cumque consectetur et alias. Voluptatum libero quis quia.'
                        tags:
                          -
                            id: 6
                            name: 'First-time Buyers'
                            slug: first-time-buyers
                            description: ''
                          -
                            id: 7
                            name: 'Property Management'
                            slug: property-management
                            description: ''
                          -
                            id: 8
                            name: Renovation
                            slug: renovation
                            description: ''
                        created_at: '2024-06-17T08:58:12.000000Z'
                        updated_at: '2024-06-17T08:58:12.000000Z'
                      -
                        id: 9
                        name: 'Renovation Ideas to Increase Your Home’s Value'
                        slug: renovation-ideas-to-increase-your-homes-value
                        description: "The Antipathies, I think--' (she was obliged to say 'creatures,' you see, Miss, this here ought to eat or drink under the door; so either way I'll get into that lovely garden. I think you'd better."
                        image: 'https://homzen.botble.com/storage/posts/7.jpg'
                        categories:
                          -
                            id: 2
                            name: 'Selling a Home'
                            slug: selling-a-home
                            url: 'https://homzen.botble.com/news/selling-a-home'
                            description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                          -
                            id: 4
                            name: 'Home Improvement'
                            slug: home-improvement
                            url: 'https://homzen.botble.com/news/home-improvement'
                            description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                        tags:
                          -
                            id: 1
                            name: Tips
                            slug: tips
                            description: ''
                          -
                            id: 7
                            name: 'Property Management'
                            slug: property-management
                            description: ''
                        created_at: '2024-06-17T08:58:12.000000Z'
                        updated_at: '2024-06-17T08:58:12.000000Z'
                      -
                        id: 10
                        name: 'The Ultimate Guide to Buying a Vacation Home'
                        slug: the-ultimate-guide-to-buying-a-vacation-home
                        description: "Do cats eat bats, I wonder?' Alice guessed in a sulky tone; 'Seven jogged my elbow.' On which Seven looked up eagerly, half hoping that they would call after her: the last concert!' on which the."
                        image: 'https://homzen.botble.com/storage/posts/3.jpg'
                        categories:
                          -
                            id: 1
                            name: 'Buying a Home'
                            slug: buying-a-home
                            url: 'https://homzen.botble.com/news/buying-a-home'
                            description: 'Perspiciatis sed sit esse necessitatibus consequatur. Repudiandae sunt pariatur vitae rem. Sed sed incidunt rerum.'
                          -
                            id: 2
                            name: 'Selling a Home'
                            slug: selling-a-home
                            url: 'https://homzen.botble.com/news/selling-a-home'
                            description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                        tags:
                          -
                            id: 4
                            name: DIY
                            slug: diy
                            description: ''
                          -
                            id: 7
                            name: 'Property Management'
                            slug: property-management
                            description: ''
                        created_at: '2024-06-17T08:58:12.000000Z'
                        updated_at: '2024-06-17T08:58:12.000000Z'
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        name:
                          type: string
                          example: 'Top 10 Tips for First-time Home Buyers'
                        slug:
                          type: string
                          example: top-10-tips-for-first-time-home-buyers
                        description:
                          type: string
                          example: "THAT'S a good way off, panting, with its wings. 'Serpent!' screamed the Queen. 'Their heads are gone, if it likes.' 'I'd rather not,' the Cat went on, taking first one side and then the Mock Turtle."
                        image:
                          type: string
                          example: 'https://homzen.botble.com/storage/posts/8.jpg'
                        categories:
                          type: array
                          example:
                            -
                              id: 2
                              name: 'Selling a Home'
                              slug: selling-a-home
                              url: 'https://homzen.botble.com/news/selling-a-home'
                              description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                            -
                              id: 3
                              name: 'Market Trends'
                              slug: market-trends
                              url: 'https://homzen.botble.com/news/market-trends'
                              description: 'Unde cum tempora eum quidem ut voluptatum. Unde est qui error praesentium sunt. Et dolores id nostrum possimus.'
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2
                              name:
                                type: string
                                example: 'Selling a Home'
                              slug:
                                type: string
                                example: selling-a-home
                              url:
                                type: string
                                example: 'https://homzen.botble.com/news/selling-a-home'
                              description:
                                type: string
                                example: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                        tags:
                          type: array
                          example:
                            -
                              id: 2
                              name: Investing
                              slug: investing
                              description: ''
                            -
                              id: 4
                              name: DIY
                              slug: diy
                              description: ''
                            -
                              id: 5
                              name: 'Luxury Homes'
                              slug: luxury-homes
                              description: ''
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2
                              name:
                                type: string
                                example: Investing
                              slug:
                                type: string
                                example: investing
                              description:
                                type: string
                                example: ''
                        created_at:
                          type: string
                          example: '2024-06-17T08:58:12.000000Z'
                        updated_at:
                          type: string
                          example: '2024-06-17T08:58:12.000000Z'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/posts?page=1'
                      last:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/posts?page=2'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/posts?page=2'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 2
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://homzen.botble.com/api/v1/posts?page=1'
                            label: '1'
                            active: true
                          -
                            url: 'https://homzen.botble.com/api/v1/posts?page=2'
                            label: '2'
                            active: false
                          -
                            url: 'https://homzen.botble.com/api/v1/posts?page=2'
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/posts'
                      per_page:
                        type: integer
                        example: 10
                      to:
                        type: integer
                        example: 10
                      total:
                        type: integer
                        example: 18
                  error:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: null
      tags:
        - Blog
      security: []
  /api/v1/categories:
    get:
      summary: 'List categories'
      operationId: listCategories
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 1
                      name: 'Buying a Home'
                      slug: buying-a-home
                      description: 'Perspiciatis sed sit esse necessitatibus consequatur. Repudiandae sunt pariatur vitae rem. Sed sed incidunt rerum.'
                      children: []
                      parent:
                        id: null
                        name: ''
                        slug: ''
                        url: 'https://homzen.botble.com'
                        description: ''
                    -
                      id: 2
                      name: 'Selling a Home'
                      slug: selling-a-home
                      description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                      children: []
                      parent:
                        id: null
                        name: ''
                        slug: ''
                        url: 'https://homzen.botble.com'
                        description: ''
                    -
                      id: 3
                      name: 'Market Trends'
                      slug: market-trends
                      description: 'Unde cum tempora eum quidem ut voluptatum. Unde est qui error praesentium sunt. Et dolores id nostrum possimus.'
                      children: []
                      parent:
                        id: null
                        name: ''
                        slug: ''
                        url: 'https://homzen.botble.com'
                        description: ''
                    -
                      id: 4
                      name: 'Home Improvement'
                      slug: home-improvement
                      description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                      children: []
                      parent:
                        id: null
                        name: ''
                        slug: ''
                        url: 'https://homzen.botble.com'
                        description: ''
                    -
                      id: 5
                      name: 'Real Estate Investing'
                      slug: real-estate-investing
                      description: 'Ut qui blanditiis quis alias id enim. Aperiam nesciunt rem sit vitae corrupti. Placeat doloremque aut et. Cumque quos expedita dolor. Qui ad deserunt consequatur necessitatibus.'
                      children: []
                      parent:
                        id: null
                        name: ''
                        slug: ''
                        url: 'https://homzen.botble.com'
                        description: ''
                    -
                      id: 6
                      name: 'Neighborhood Guides'
                      slug: neighborhood-guides
                      description: 'Tenetur nobis minus cumque consectetur et alias. Voluptatum libero quis quia.'
                      children: []
                      parent:
                        id: null
                        name: ''
                        slug: ''
                        url: 'https://homzen.botble.com'
                        description: ''
                  links:
                    first: 'https://homzen.botble.com/api/v1/categories?page=1'
                    last: 'https://homzen.botble.com/api/v1/categories?page=1'
                    prev: null
                    next: null
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 1
                    links:
                      -
                        url: null
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://homzen.botble.com/api/v1/categories?page=1'
                        label: '1'
                        active: true
                      -
                        url: null
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://homzen.botble.com/api/v1/categories'
                    per_page: 10
                    to: 6
                    total: 6
                  error: false
                  message: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 1
                        name: 'Buying a Home'
                        slug: buying-a-home
                        description: 'Perspiciatis sed sit esse necessitatibus consequatur. Repudiandae sunt pariatur vitae rem. Sed sed incidunt rerum.'
                        children: []
                        parent:
                          id: null
                          name: ''
                          slug: ''
                          url: 'https://homzen.botble.com'
                          description: ''
                      -
                        id: 2
                        name: 'Selling a Home'
                        slug: selling-a-home
                        description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                        children: []
                        parent:
                          id: null
                          name: ''
                          slug: ''
                          url: 'https://homzen.botble.com'
                          description: ''
                      -
                        id: 3
                        name: 'Market Trends'
                        slug: market-trends
                        description: 'Unde cum tempora eum quidem ut voluptatum. Unde est qui error praesentium sunt. Et dolores id nostrum possimus.'
                        children: []
                        parent:
                          id: null
                          name: ''
                          slug: ''
                          url: 'https://homzen.botble.com'
                          description: ''
                      -
                        id: 4
                        name: 'Home Improvement'
                        slug: home-improvement
                        description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                        children: []
                        parent:
                          id: null
                          name: ''
                          slug: ''
                          url: 'https://homzen.botble.com'
                          description: ''
                      -
                        id: 5
                        name: 'Real Estate Investing'
                        slug: real-estate-investing
                        description: 'Ut qui blanditiis quis alias id enim. Aperiam nesciunt rem sit vitae corrupti. Placeat doloremque aut et. Cumque quos expedita dolor. Qui ad deserunt consequatur necessitatibus.'
                        children: []
                        parent:
                          id: null
                          name: ''
                          slug: ''
                          url: 'https://homzen.botble.com'
                          description: ''
                      -
                        id: 6
                        name: 'Neighborhood Guides'
                        slug: neighborhood-guides
                        description: 'Tenetur nobis minus cumque consectetur et alias. Voluptatum libero quis quia.'
                        children: []
                        parent:
                          id: null
                          name: ''
                          slug: ''
                          url: 'https://homzen.botble.com'
                          description: ''
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        name:
                          type: string
                          example: 'Buying a Home'
                        slug:
                          type: string
                          example: buying-a-home
                        description:
                          type: string
                          example: 'Perspiciatis sed sit esse necessitatibus consequatur. Repudiandae sunt pariatur vitae rem. Sed sed incidunt rerum.'
                        children:
                          type: array
                          example: []
                        parent:
                          type: object
                          properties:
                            id:
                              type: string
                              example: null
                            name:
                              type: string
                              example: ''
                            slug:
                              type: string
                              example: ''
                            url:
                              type: string
                              example: 'https://homzen.botble.com'
                            description:
                              type: string
                              example: ''
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/categories?page=1'
                      last:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/categories?page=1'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://homzen.botble.com/api/v1/categories?page=1'
                            label: '1'
                            active: true
                          -
                            url: null
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/categories'
                      per_page:
                        type: integer
                        example: 10
                      to:
                        type: integer
                        example: 6
                      total:
                        type: integer
                        example: 6
                  error:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: null
      tags:
        - Blog
      security: []
  /api/v1/tags:
    get:
      summary: 'List tags'
      operationId: listTags
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 1
                      name: Tips
                      slug: tips
                      description: ''
                    -
                      id: 2
                      name: Investing
                      slug: investing
                      description: ''
                    -
                      id: 3
                      name: 'Market Analysis'
                      slug: market-analysis
                      description: ''
                    -
                      id: 4
                      name: DIY
                      slug: diy
                      description: ''
                    -
                      id: 5
                      name: 'Luxury Homes'
                      slug: luxury-homes
                      description: ''
                    -
                      id: 6
                      name: 'First-time Buyers'
                      slug: first-time-buyers
                      description: ''
                    -
                      id: 7
                      name: 'Property Management'
                      slug: property-management
                      description: ''
                    -
                      id: 8
                      name: Renovation
                      slug: renovation
                      description: ''
                  links:
                    first: 'https://homzen.botble.com/api/v1/tags?page=1'
                    last: 'https://homzen.botble.com/api/v1/tags?page=1'
                    prev: null
                    next: null
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 1
                    links:
                      -
                        url: null
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://homzen.botble.com/api/v1/tags?page=1'
                        label: '1'
                        active: true
                      -
                        url: null
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://homzen.botble.com/api/v1/tags'
                    per_page: 10
                    to: 8
                    total: 8
                  error: false
                  message: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 1
                        name: Tips
                        slug: tips
                        description: ''
                      -
                        id: 2
                        name: Investing
                        slug: investing
                        description: ''
                      -
                        id: 3
                        name: 'Market Analysis'
                        slug: market-analysis
                        description: ''
                      -
                        id: 4
                        name: DIY
                        slug: diy
                        description: ''
                      -
                        id: 5
                        name: 'Luxury Homes'
                        slug: luxury-homes
                        description: ''
                      -
                        id: 6
                        name: 'First-time Buyers'
                        slug: first-time-buyers
                        description: ''
                      -
                        id: 7
                        name: 'Property Management'
                        slug: property-management
                        description: ''
                      -
                        id: 8
                        name: Renovation
                        slug: renovation
                        description: ''
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        name:
                          type: string
                          example: Tips
                        slug:
                          type: string
                          example: tips
                        description:
                          type: string
                          example: ''
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/tags?page=1'
                      last:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/tags?page=1'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://homzen.botble.com/api/v1/tags?page=1'
                            label: '1'
                            active: true
                          -
                            url: null
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/tags'
                      per_page:
                        type: integer
                        example: 10
                      to:
                        type: integer
                        example: 8
                      total:
                        type: integer
                        example: 8
                  error:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: null
      tags:
        - Blog
      security: []
  /api/v1/posts/filters:
    get:
      summary: 'Filters posts'
      operationId: filtersPosts
      description: ''
      parameters:
        -
          in: query
          name: page
          description: 'Current page of the collection. Default: 1'
          example: 20
          required: false
          schema:
            type: integer
            description: 'Current page of the collection. Default: 1'
            example: 20
        -
          in: query
          name: per_page
          description: 'Maximum number of items to be returned in result set.Default: 10'
          example: 5
          required: false
          schema:
            type: integer
            description: 'Maximum number of items to be returned in result set.Default: 10'
            example: 5
        -
          in: query
          name: search
          description: 'Limit results to those matching a string.'
          example: tenetur
          required: false
          schema:
            type: string
            description: 'Limit results to those matching a string.'
            example: tenetur
        -
          in: query
          name: after
          description: 'Limit response to posts published after a given ISO8601 compliant date.'
          example: at
          required: false
          schema:
            type: string
            description: 'Limit response to posts published after a given ISO8601 compliant date.'
            example: at
        -
          in: query
          name: author
          description: 'Limit result set to posts assigned to specific authors.'
          example: in
          required: false
          schema:
            type: string
            description: 'Limit result set to posts assigned to specific authors.'
            example: in
        -
          in: query
          name: author_exclude
          description: 'Ensure result set excludes posts assigned to specific authors.'
          example: voluptatibus
          required: false
          schema:
            type: string
            description: 'Ensure result set excludes posts assigned to specific authors.'
            example: voluptatibus
        -
          in: query
          name: before
          description: 'Limit response to posts published before a given ISO8601 compliant date.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit response to posts published before a given ISO8601 compliant date.'
            example: architecto
        -
          in: query
          name: exclude
          description: 'Ensure result set excludes specific IDs.'
          example: tempore
          required: false
          schema:
            type: string
            description: 'Ensure result set excludes specific IDs.'
            example: tempore
        -
          in: query
          name: include
          description: 'Limit result set to specific IDs.'
          example: earum
          required: false
          schema:
            type: string
            description: 'Limit result set to specific IDs.'
            example: earum
        -
          in: query
          name: order
          description: 'Order sort attribute ascending or descending. Default: desc .One of: asc, desc'
          example: voluptates
          required: false
          schema:
            type: string
            description: 'Order sort attribute ascending or descending. Default: desc .One of: asc, desc'
            example: voluptates
        -
          in: query
          name: order_by
          description: 'Sort collection by object attribute. Default: updated_at. One of: author, created_at, updated_at, id,  slug, title'
          example: dolore
          required: false
          schema:
            type: string
            description: 'Sort collection by object attribute. Default: updated_at. One of: author, created_at, updated_at, id,  slug, title'
            example: dolore
        -
          in: query
          name: categories
          description: 'Limit result set to all items that have the specified term assigned in the categories taxonomy.'
          example: quae
          required: false
          schema:
            type: string
            description: 'Limit result set to all items that have the specified term assigned in the categories taxonomy.'
            example: quae
        -
          in: query
          name: categories_exclude
          description: 'Limit result set to all items except those that have the specified term assigned in the categories taxonomy.'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Limit result set to all items except those that have the specified term assigned in the categories taxonomy.'
            example: architecto
        -
          in: query
          name: tags
          description: 'Limit result set to all items that have the specified term assigned in the tags taxonomy.'
          example: voluptas
          required: false
          schema:
            type: string
            description: 'Limit result set to all items that have the specified term assigned in the tags taxonomy.'
            example: voluptas
        -
          in: query
          name: tags_exclude
          description: 'Limit result set to all items except those that have the specified term assigned in the tags taxonomy.'
          example: consectetur
          required: false
          schema:
            type: string
            description: 'Limit result set to all items except those that have the specified term assigned in the tags taxonomy.'
            example: consectetur
        -
          in: query
          name: featured
          description: 'Limit result set to items that are sticky.'
          example: velit
          required: false
          schema:
            type: string
            description: 'Limit result set to items that are sticky.'
            example: velit
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data: []
                  links:
                    first: 'https://homzen.botble.com/api/v1/posts/filters?page=1'
                    last: 'https://homzen.botble.com/api/v1/posts/filters?page=1'
                    prev: 'https://homzen.botble.com/api/v1/posts/filters?page=19'
                    next: null
                  meta:
                    current_page: 20
                    from: null
                    last_page: 1
                    links:
                      -
                        url: 'https://homzen.botble.com/api/v1/posts/filters?page=19'
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://homzen.botble.com/api/v1/posts/filters?page=1'
                        label: '1'
                        active: false
                      -
                        url: null
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://homzen.botble.com/api/v1/posts/filters'
                    per_page: 5
                    to: null
                    total: 0
                  error: false
                  message: null
                properties:
                  data:
                    type: array
                    example: []
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/posts/filters?page=1'
                      last:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/posts/filters?page=1'
                      prev:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/posts/filters?page=19'
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 20
                      from:
                        type: string
                        example: null
                      last_page:
                        type: integer
                        example: 1
                      links:
                        type: array
                        example:
                          -
                            url: 'https://homzen.botble.com/api/v1/posts/filters?page=19'
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://homzen.botble.com/api/v1/posts/filters?page=1'
                            label: '1'
                            active: false
                          -
                            url: null
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: 'https://homzen.botble.com/api/v1/posts/filters?page=19'
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/posts/filters'
                      per_page:
                        type: integer
                        example: 5
                      to:
                        type: string
                        example: null
                      total:
                        type: integer
                        example: 0
                  error:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: null
      tags:
        - Blog
      security: []
  '/api/v1/posts/{slug}':
    get:
      summary: 'Get post by slug'
      operationId: getPostBySlug
      description: ''
      parameters:
        -
          in: query
          name: slug
          description: 'Find by slug of post.'
          example: qui
          required: false
          schema:
            type: string
            description: 'Find by slug of post.'
            example: qui
      responses:
        404:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: true
                  data: null
                  message: 'Not found'
                properties:
                  error:
                    type: boolean
                    example: true
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: 'Not found'
      tags:
        - Blog
      security: []
    parameters:
      -
        in: path
        name: slug
        description: 'The slug of the post.'
        example: dolor
        required: true
        schema:
          type: string
  /api/v1/categories/filters:
    get:
      summary: 'Filters categories'
      operationId: filtersCategories
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 2
                      name: 'Selling a Home'
                      slug: selling-a-home
                      url: 'https://homzen.botble.com/news/selling-a-home'
                      description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                    -
                      id: 5
                      name: 'Real Estate Investing'
                      slug: real-estate-investing
                      url: 'https://homzen.botble.com/news/real-estate-investing'
                      description: 'Ut qui blanditiis quis alias id enim. Aperiam nesciunt rem sit vitae corrupti. Placeat doloremque aut et. Cumque quos expedita dolor. Qui ad deserunt consequatur necessitatibus.'
                    -
                      id: 6
                      name: 'Neighborhood Guides'
                      slug: neighborhood-guides
                      url: 'https://homzen.botble.com/news/neighborhood-guides'
                      description: 'Tenetur nobis minus cumque consectetur et alias. Voluptatum libero quis quia.'
                    -
                      id: 3
                      name: 'Market Trends'
                      slug: market-trends
                      url: 'https://homzen.botble.com/news/market-trends'
                      description: 'Unde cum tempora eum quidem ut voluptatum. Unde est qui error praesentium sunt. Et dolores id nostrum possimus.'
                    -
                      id: 4
                      name: 'Home Improvement'
                      slug: home-improvement
                      url: 'https://homzen.botble.com/news/home-improvement'
                      description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                    -
                      id: 1
                      name: 'Buying a Home'
                      slug: buying-a-home
                      url: 'https://homzen.botble.com/news/buying-a-home'
                      description: 'Perspiciatis sed sit esse necessitatibus consequatur. Repudiandae sunt pariatur vitae rem. Sed sed incidunt rerum.'
                  links:
                    first: 'https://homzen.botble.com/api/v1/categories/filters?page=1'
                    last: 'https://homzen.botble.com/api/v1/categories/filters?page=1'
                    prev: null
                    next: null
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 1
                    links:
                      -
                        url: null
                        label: '&laquo; Previous'
                        active: false
                      -
                        url: 'https://homzen.botble.com/api/v1/categories/filters?page=1'
                        label: '1'
                        active: true
                      -
                        url: null
                        label: 'Next &raquo;'
                        active: false
                    path: 'https://homzen.botble.com/api/v1/categories/filters'
                    per_page: 10
                    to: 6
                    total: 6
                  error: false
                  message: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 2
                        name: 'Selling a Home'
                        slug: selling-a-home
                        url: 'https://homzen.botble.com/news/selling-a-home'
                        description: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                      -
                        id: 5
                        name: 'Real Estate Investing'
                        slug: real-estate-investing
                        url: 'https://homzen.botble.com/news/real-estate-investing'
                        description: 'Ut qui blanditiis quis alias id enim. Aperiam nesciunt rem sit vitae corrupti. Placeat doloremque aut et. Cumque quos expedita dolor. Qui ad deserunt consequatur necessitatibus.'
                      -
                        id: 6
                        name: 'Neighborhood Guides'
                        slug: neighborhood-guides
                        url: 'https://homzen.botble.com/news/neighborhood-guides'
                        description: 'Tenetur nobis minus cumque consectetur et alias. Voluptatum libero quis quia.'
                      -
                        id: 3
                        name: 'Market Trends'
                        slug: market-trends
                        url: 'https://homzen.botble.com/news/market-trends'
                        description: 'Unde cum tempora eum quidem ut voluptatum. Unde est qui error praesentium sunt. Et dolores id nostrum possimus.'
                      -
                        id: 4
                        name: 'Home Improvement'
                        slug: home-improvement
                        url: 'https://homzen.botble.com/news/home-improvement'
                        description: 'Nesciunt aut ea sed iusto ut enim quo. Placeat porro pariatur earum earum assumenda sit.'
                      -
                        id: 1
                        name: 'Buying a Home'
                        slug: buying-a-home
                        url: 'https://homzen.botble.com/news/buying-a-home'
                        description: 'Perspiciatis sed sit esse necessitatibus consequatur. Repudiandae sunt pariatur vitae rem. Sed sed incidunt rerum.'
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 2
                        name:
                          type: string
                          example: 'Selling a Home'
                        slug:
                          type: string
                          example: selling-a-home
                        url:
                          type: string
                          example: 'https://homzen.botble.com/news/selling-a-home'
                        description:
                          type: string
                          example: 'Illo ut omnis et quo. Suscipit et ipsam neque excepturi doloremque. Rerum ut quia eum ducimus. Velit aliquid voluptas laborum et suscipit quam nobis qui.'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/categories/filters?page=1'
                      last:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/categories/filters?page=1'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; Previous'
                            active: false
                          -
                            url: 'https://homzen.botble.com/api/v1/categories/filters?page=1'
                            label: '1'
                            active: true
                          -
                            url: null
                            label: 'Next &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; Previous'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: 'https://homzen.botble.com/api/v1/categories/filters'
                      per_page:
                        type: integer
                        example: 10
                      to:
                        type: integer
                        example: 6
                      total:
                        type: integer
                        example: 6
                  error:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: null
      tags:
        - Blog
      security: []
  '/api/v1/categories/{slug}':
    get:
      summary: 'Get category by slug'
      operationId: getCategoryBySlug
      description: ''
      parameters:
        -
          in: query
          name: slug
          description: 'Find by slug of category.'
          example: alias
          required: false
          schema:
            type: string
            description: 'Find by slug of category.'
            example: alias
      responses:
        404:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: true
                  data: null
                  message: 'Not found'
                properties:
                  error:
                    type: boolean
                    example: true
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: 'Not found'
      tags:
        - Blog
      security: []
    parameters:
      -
        in: path
        name: slug
        description: 'The slug of the category.'
        example: id
        required: true
        schema:
          type: string
  /api/v1/me:
    get:
      summary: 'Get the user profile information.'
      operationId: getTheUserProfileInformation
      description: ''
      parameters: []
      responses:
        401:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  error: true
                  data: null
                  message: Unauthenticated.
                properties:
                  error:
                    type: boolean
                    example: true
                  data:
                    type: string
                    example: null
                  message:
                    type: string
                    example: Unauthenticated.
      tags:
        - Profile
    put:
      summary: 'Update profile'
      operationId: updateProfile
      description: ''
      parameters: []
      responses: {  }
      tags:
        - Profile
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                  description: 'First name.'
                  example: quidem
                last_name:
                  type: string
                  description: 'Last name.'
                  example: quaerat
                phone:
                  type: string
                  description: Phone.
                  example: eos
                dob:
                  type: string
                  description: 'Date of birth.'
                  example: dolor
                gender:
                  type: string
                  description: Gender
                  example: earum
                description:
                  type: string
                  description: Description
                  example: 'Ullam beatae minus rerum minus.'
                email:
                  type: string
                  description: Email.
                  example: vhills@example.org
              required:
                - first_name
                - last_name
                - phone
                - dob
  /api/v1/update/avatar:
    post:
      summary: 'Update Avatar'
      operationId: updateAvatar
      description: ''
      parameters: []
      responses: {  }
      tags:
        - Profile
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                avatar:
                  type: string
                  format: binary
                  description: 'Avatar file.'
              required:
                - avatar
  /api/v1/update/password:
    put:
      summary: 'Update password'
      operationId: updatePassword
      description: ''
      parameters: []
      responses: {  }
      tags:
        - Profile
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                password:
                  type: string
                  description: 'The new password of user.'
                  example: "NW~E$&I-$m.]'B}*Y"
              required:
                - password
tags:
  -
    name: Authentication
    description: ''
  -
    name: Blog
    description: ''
  -
    name: Profile
    description: ''
